Show / Hide Table of Contents

# Struct AgentModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentModule

### Fields

| Improve this Doc View Source

#### AgentArray

##### Declaration

    public AgentInterface*AgentArray

##### Field Value

Type | Description
--- | ---
AgentInterface* |

| Improve this Doc View Source

#### FrameCounter

##### Declaration

    public uint FrameCounter

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FrameDelta

##### Declaration

    public float FrameDelta

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Initialized

##### Declaration

    public byte Initialized

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UIModule

##### Declaration

    public UIModule*UIModule

##### Field Value

Type | Description
--- | ---
UIModule* |

| Improve this Doc View Source

#### UnkByte11

##### Declaration

    public byte UnkByte11

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |